description

# DeferredLibrary class Null safety

Indicates that loading of libraryName is deferred.

This class is obsolete. Instead use the syntax: import "library.dart" deferred as prefix;

Annotations
  - @Deprecated("Dart sdk v. 1.8")

## Constructors

DeferredLibrary(String libraryName, {String? uri})
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
libraryName → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
uri → String?
  final

## Methods

load() → Future<Null>
  Ensure that libraryName has been loaded. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited